package org.example.background.entity;

import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;


@Data
public class EnergyDataEntity implements Serializable{

    private Long energyId;

    private String deviceId;

    //@ApiModelProperty(value = "瞬时流量")
    private Float instantaneousDelivery;

    //@ApiModelProperty(value = "瞬时热量")
    private Float instantHeat;

    //@ApiModelProperty(value = "正累积流量")
    private Float positiveTotalFlow;

    //@ApiModelProperty(value = "负累积流量")
    private Float negativeTotalFlow;

    //@ApiModelProperty(value = "净累积流量")
    private Float cumulativeTraffic;

    //@ApiModelProperty(value = "供水温度")
    private Float supplyWaterTemperature;

    //@ApiModelProperty(value = "回水温度")
    private Float returnWaterTemperature;

    //@ApiModelProperty(value = "流体速度")
    private String fluidVelocity;

    //@ApiModelProperty(value = "测量流体声速")
    private String fluidVelocitySound;

    //@ApiModelProperty(value = "正累积热量")
    private Float positiveCumulativeHeat;

    //@ApiModelProperty(value = "负累积热量")
    private Float negativeCumulativeHeat;

    //@ApiModelProperty(value = "净累积热量")
    private Float netCumulativeHeat;

    //@ApiModelProperty(value = "今天累积流量")
    private Float accumulatedTrafficDay;

    //@ApiModelProperty(value = "本月累积流量")
    private Float accumulatedTrafficMonth;

    //@ApiModelProperty(value = "今年累积流量")
    private Float accumulatedTrafficYear;

    //@ApiModelProperty(value = "入库时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    //@ApiModelProperty(value = "整点采集时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date acquisitionTime;
}
